Przejdź do treści
AchaduDevelopers
Developers/API/segment_update
Segmenty

Zaktualizuj segment

Aktualizuje tożsamość, dystrybucję i prezentację segmentu.

PATCH/segments/{id}segments:write

Żądanie

idstring · pathIdentyfikator zasobu.obowiązkowe
namestring · bodyNazwa segmentu.opcjonalne
slugstring · bodyPubliczny ślimak.opcjonalne
descriptionstring · bodyOpis.opcjonalne
store_namestring · bodyNazwa sklepu.opcjonalne
store_taglinestring · bodyWyrażenie z okna.opcjonalne
store_colorstring · bodyGłówny kolor.opcjonalne
auto_expandboolean · bodyUmożliwia automatyczną rozbudowę.opcjonalne
distributionstring · bodyStrategia dystrybucji.opcjonalne
waitlistboolean · bodyAktywuje kolejkę.opcjonalne

Przykład

curl
curl -X PATCH 'https://achadu.com/api/v1/segments/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "slug": "string",
  "description": "string"
}'

Odpowiedź

200Operacja zakończona
4xxBłąd z kodem, komunikatem i identyfikatorem żądania